fn AIimportStr thisFile =
(
	f = openFile thisFile
	if f != undefined then
	(
		local aiStrategicNodes = #()
		aiMat = standardmaterial name:"AiAreas"
		aiMat.wire = true; aimat.wiresize = 4.0; aiMat.selfIllumAmount = 75.0;
		aiMat.diffuse = (color 55 137 228)
		
		format "importing: %\n" thisFile
		while not (eof f) do
		(
			skipToString f "rea.create "
			if not (eof f) then
			(
				local tmpName = ""
				for i=1 to 57 do
				(	local tmpChar = readChar f
					if tmpChar != " " then
						tmpName += tmpChar
					else exit
				)
				
				local vals = #()
				vals[1] = (readValue f); readChar f
				vals[2] = (readValue f)
				
				vals[3] = (readValue f); readChar f
				vals[4] = (readValue f)
				
				vals[5] = (readValue f)
				-- format "tmpName: %  vals: %\n" tmpName vals
				
				local tmpNode = plane name:tmpName lengthsegs:1 widthsegs:1 wirecolor:(color 55 137 228)\
					width:(vals[3] - vals[1]) length:(vals[4] - vals[2]) material:aiMat \
					pos:[ (vals[3]-vals[1])*0.5+vals[1], (vals[4]-vals[2])*0.5+vals[2], 100.0]
			
				append aiStrategicNodes tmpNode 
			)
		)
		close f
		select aiStrategicNodes
		selectionSets["aiStrategic"] = selection
	)
)


(	clearListener()
	fname = getOpenFileName types:".con|*.con"
	if fname != undefined then
		AIimportStr fname
)