ag = 0
-----------------------------
fn lowerCase instring =
(  local upper, lower, outstring
   upper="ABCDEFGHIJKLMNOPQRSTUVWXYZ"
   lower="abcdefghijklmnopqrstuvwxyz"
   outstring=copy instring

   for i=1 to outstring.count do
   (  j=findString upper outstring[i]
      if (j != undefined) do outstring[i]=lower[j]
   )
   outstring
)
-----------------------------
fn readStrLn fi_Hndl cnt=
(
asciilisto = "1010101010101010101010101010103 !\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz"
tmpStr = ""
for i=1 to cnt do
	tmpStr = tmpStr+(asciilisto[(readByte fi_Hndl #unsigned)])
tmpStr
)
---------------------------------------------
-----------------JUNK DATA READER---------------------------
fn JunkReader fifo =
(
	print ("----JUNK READER----- START: "+((ftell fifo) as string))
	endYa = true
	k=0;
	while (endYa) do
	(
		k+=1;
		fseek fifo 24 #seek_cur
		ex = readLong fifo -- number of extra groups *4 + variable
		print (" "+(k as string)+"_EX: "+(ex as string)+"\t Offset: "+((ftell fifo) as string))
		ex = abs(ex)
		if ex < 64 and ex > 0 then
		(
		--	print "   ^EX_tended"
			fseek fifo (4*ex) #seek_cur
			for i=1 to 32 do -- + variable gap search
			(
			--	print ("\t\ti: "+(i as string))
				if (readByte fifo) != 0 do
				(
					fseek fifo -1 #seek_cur
					if (readByte fifo) == 1 then 
					(
					--	print "\t\t(readByte fifo) == 1"
						exit
					)
					else 
					(
						--	print "\t\t(readByte fifo) != 1"
						fseek fifo -1 #seek_cur
						endYa = false
						exit
					)
				)
			)
		)
		else 
		(	if ex == 0 then 
			(	if (readByte fifo) != 1 do print "  NOT OK!"
			)
			else print "***FATAL ERROR with EX value!"
		)
	)
	print ("----Da junk ends here!: "+((ftell fifo) as string))
)
---------------------------------------------
-----------------BYPASS COLLISION MODEL----------------------------
fn TMcollisionBypass fi_Hndl=
(
	numVerts = readlong fi_Hndl #unsigned
	fseek fi_Hndl (numVerts*16) #seek_cur
	print ("   numVerts: "+(numVerts as string))
	
	numFaces = readlong fi_Hndl #unsigned
	fseek fi_Hndl (numFaces*8) #seek_cur
	print ("   numFaces: "+(numFaces as string))
	
	unk1 = readlong fi_Hndl #unsigned
	unk2 = readlong fi_Hndl #unsigned
	print ("   unk1: "+(unk1 as string))
	print ("    NumberOfU groups - 1: "+(unk2 as string))
	print ("     ftell: "+((ftell fi_Hndl) as string))
	numFaces2 = readlong fi_Hndl #unsigned
	fseek fi_Hndl (numFaces2*32) #seek_cur
	print ("   numFaces2: "+(numFaces2 as string))
	
	JunkReader fi_Hndl
)
---------------------------------------------
---------------------------------------------
fn importtreemesh thisaFile scccl =
(
print ("Reading: "+thisaFile)
f=fopen thisaFile "rb"
try
(
	DSMscale = scccl --(1/SMscale)
	TM_HeaderV = (Readlong f)
	if TM_HeaderV == 3 do
	(
		fseek f 8 #seek_cur -- Bypass header
		
		bbox = #()
		for i=1 to 6 do bbox[i] = readfloat f
		fseek f 24 #seek_cur -- bypass second BBox
		
		numZerogaps = 0
		while (readlong f) == 0 do
			numZerogaps+=1
	--	print ("zeroGaps: "+(numZerogaps as string))
		fseek f -4 #seek_cur
		tmpDword_X = readlong f
		
		tmpName = #()
		hasCol = false
		txNameCnt = 0
		for i=1 to 24 do
		(	
			hasCol = false
			if tmpDword_X > 1 do
			--	print "  has multi texture"
				
			--print (" *tell: "+((ftell f) as string));	
			txNameCnt += 1
			tmpDword_1 = readlong f #unsigned
			tmpDword_2 = readlong f #unsigned
			--	print (" tmpDword_1: "+(tmpDword_1 as string))
			--	print (" tmpDword_2: "+(tmpDword_2 as string))	
		
			nameLn = readlong f #unsigned
			--	print (" nameLn: "+(nameLn as string))	
			tmpName[i] = (readStrLn f nameLn)
		--		print tmpName[i]
	--print (" *tell: "+((ftell f) as string))
			if numZerogaps >= 2 do
			(
			--	print "numZerogaps >= 2\nWARNING!!!\nTHIS gap2 FORMAT CURRENTLY NOT SUPPORTED "
				fseek f 8 #seek_cur
				exit
			)
			if tmpDword_X > 1 then -- tmpDword_X is number of textures in subbgroup
				tmpDword_X-=1;
			else
			(
				tmpDword_X = readlong f #unsigned -- first 01
				if tmpDword_X == 0 do
				(--	print "--End of texture list---"
					--print (" *tell: "+((ftell f) as string))
					hasCol = false
					foundLogical = 0
					for j=1 to 6 do
					(
						tmpL = readLong f
						--print ("     tmpL: "+(tmpL as string))
						if tmpL == -342375686 do
							hasCol = true
						if (abs(tmpL)) < 64000 do
							foundLogical = j
					)
					skoff = (4*foundLogical-28)
					--print ("  foundLogical: "+(foundLogical as string))
					--print ("  skoff: "+(skoff as string))
					--print ("  hasCol: "+(hasCol as string))
						if skoff != 0 do fseek f skoff #seek_cur
						
					exit
				)
			)
			
		)
	--	print ("Num Materials: "+(txNameCnt as string))
		
		for n=1 to 1 do --txNameCnt
		(

			if (hasCol) do
			(
			--	print "This model has collision data"
			--	print (" Reading collision starting at: "+((ftell f) as string))
				TMcollisionBypass f
			--	print (" *ended up : "+((ftell f) as string))
			)
	
			T_VertList = #()
			T_VertNorm = #()
			T_tvert = #()
--print (" *Vis Verts start offset: "+((ftell f) as string))
			numVerts = readlong f #unsigned
	--		print ("Verts: "+(numVerts as string))
			
		
			for i=1 to numVerts do
			(
				tmp1 = (readfloat f)*DSMscale
				tmp2 = (readfloat f)*DSMscale
				tmp3 = (readfloat f)*DSMscale
				T_VertList[i] = [tmp1,tmp3,tmp2]
				
				tmp1 = readfloat f
				tmp2 = readfloat f
				tmp3 = readfloat f
				T_VertNorm[i] = [tmp1,tmp3,tmp2]
				
				fseek f 4 #seek_cur
				
				tmp1 = readfloat f
				tmp2 = readfloat f
				T_tvert[i] = [tmp1,tmp2]
				
				fseek f 4 #seek_cur
				fseek f 4 #seek_cur
			)
		-- print (T_VertList as string)
		--	print (T_VertNorm as string)
		--	print (T_tvert as string)
	ag = 0;
			T_FaceList = #()
			numFaces = (readlong f #unsigned)/3
--print (" *Faces start offset: "+((ftell f) as string))
		--	print ("NumFaces: "+(numFaces as string))
			for i=1 to numFaces do
			(
				tmp1 = (readShort f #unsigned)+1
				tmp2 = (readShort f #unsigned)+1
				tmp3 = (readShort f #unsigned)+1
				T_FaceList[i] = [tmp3,tmp2,tmp1]
				ag+=1;
			)
		 	tmpMesh = mesh vertices:T_VertList faces:T_FaceList \
		 	name:(lowerCase(getFilenameFile thisaFile))
		)

		
	--	print ("**Stopped: "+((ftell f) as string))
	)
)
catch Print ("ERROR when reading: "+((ftell f) as string))
print (ag as string)
fclose f
)
----------------BATCH PROCESS----------------------
(
	patha = getSavePath caption:"Pick Treemesh files dir"
	if patha != undefined do
	(
		patha = patha+"\\*.tm"
		files = getFiles patha
		for i = 1 to files.count do
		(
			importtreemesh files[i] 1.0
		)
		print (files.count as string)
	)
)
